VLCKit

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Class Methods | List of all members
VLCExtensionsManager Class Reference

`#import <VLCExtensionsManager.h>`

Inheritance diagram for VLCExtensionsManager:

## Instance Methods
(NSArray *extensions) | - __attribute__
(void) | - runExtension:
(VLCMediaPlayer *mediaPlayer) | - __attribute__

## Class Methods
((deprecated) | + __attribute__

## Detailed Description

manager class for lua extensions within VLC

## Method Documentation

- (NSArray* extensions) __attribute__ |  | ((deprecated)) |  |

list of available extensions

Deprecated:
  will be removed in the next release

+ ((deprecated) __attribute__ |  |  |

singleton manager instance

Deprecated:
  will be removed in the next release

- (VLCMediaPlayer* mediaPlayer) __attribute__ |  | ((deprecated)) |  |

player instance to use with the extensions

Deprecated:
  will be removed in the next release

- (void) runExtension: |  | ((deprecated)) | __attribute__ |

start execution of a given extension instance

Parameters

  extension | the extension to run

Deprecated:
  will be removed in the next release

The documentation for this class was generated from the following file:

- Headers/Public/VLCExtensionsManager.h